package com.ipsplm.entity.simulation;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;
/**
 * <p>
 * 不锈钢线OEE信息表
 * </p>
 *
 * @author lulicheng
 * @since 2024-07-30
 */
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("oee_bxg")
public class OeeBxg implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 主键
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    /**
     * 标志位
     */
    private Long flag;

    /**
     * 状态
     */
    private String status;

    /**
     * 不锈钢流水线坡口
     */
    private String bxgPkL;

    /**
     * 不锈钢流水线装配
     */
    private String bxgZpL;

    /**
     * 不锈钢流水线焊接
     */
    private String bxgHjL;

    /**
     * 不锈钢线弯管机
     */
    private String bxgWgj;

    /**
     * 不锈钢线支管切断
     */
    private String bxgZgqd;

    /**
     * 不锈钢线小组立平台
     */
    private String bxgXzl;

    /**
     * 不锈钢线弯头焊接
     */
    private String bxgWthj;

    /**
     * 不锈钢线装配平台1
     */
    private String bxgZppt1;

    /**
     * 不锈钢线装配平台2
     */
    private String bxgZppt2;

    /**
     * 不锈钢线焊接工位1
     */
    private String bxgHjgw1;

    /**
     * 不锈钢线焊接工位2
     */
    private String bxgHjgw2;

    /**
     * 不锈钢线焊接工位3
     */
    private String bxgHjgw3;

    /**
     * 不锈钢线一次完检
     */
    private String bxgYcwj;

    /**
     * 不锈钢线水试
     */
    private String bxgSs;

    /**
     * 探伤
     */
    private String ts;

}
