package com.ipsplm.entity.simulation;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;
/**
 * <p>
 * 大径线OEE信息表
 * </p>
 *
 * @author lulicheng
 * @since 2024-07-30
 */
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("oee_dj")
public class OeeDj implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 主键
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    /**
     * 标志位
     */
    private Long flag;

    /**
     * 状态
     */
    private String status;

    /**
     * 大径线流水线激光切割
     */
    private String djJgqgL;

    /**
     * 大径线流水线装配
     */
    private String djZpL;

    /**
     * 大径线流水线焊接
     */
    private String djHjL;

    /**
     * 大径线流水线短管焊接
     */
    private String djDghjL;

    /**
     * 大径线线小组立平台
     */
    private String djXzl;

    /**
     * 大径线线弯头焊接机
     */
    private String djWthjj;

    /**
     * 大径线支管切断
     */
    private String djZgqd;

    /**
     * 大径线装配平台1
     */
    private String djZppt1;

    /**
     * 大径线装配平台2
     */
    private String djZppt2;

    /**
     * 大径线装配平台3
     */
    private String djZppt3;

    /**
     * 大径线焊接工位1
     */
    private String djHjgw1;

    /**
     * 大径线焊接工位2
     */
    private String djHjgw2;

    /**
     * 大径线焊接工位3
     */
    private String djHjgw3;

    /**
     * 大径线焊接工位4
     */
    private String djHjgw4;

    /**
     * 大径线焊接工位5
     */
    private String djHjgw5;

    /**
     * 大径线焊接工位6
     */
    private String djHjgw6;

    /**
     * 大径线一次完检
     */
    private String djYcwj;

    /**
     * 大径线水试
     */
    private String djSs;

}
