package com.ipsplm.entity.simulation;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;
/**
 * <p>
 * 中二线OEE信息表
 * </p>
 *
 * @author lulicheng
 * @since 2024-07-30
 */
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("oee_ze")
public class OeeZe implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 主键
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    /**
     * 标志位
     */
    private Long flag;

    /**
     * 状态
     */
    private String status;

    /**
     * 中二线流水线激光切割
     */
    private String zeJgqgL;

    /**
     * 中二线流水线装配
     */
    private String zeZpL;

    /**
     * 中二线流水线焊接
     */
    private String zeHjL;

    /**
     * 中二线流水线短管焊接
     */
    private String zeDghjL;

    /**
     * 中二线线弯管机
     */
    private String zeWgj;

    /**
     * 中二线支管切断
     */
    private String zeZgqd;

    /**
     * 中二线小组立平台1
     */
    private String zeXzl1;

    /**
     * 中二线小组立平台2
     */
    private String zeXzl2;

    /**
     * 中二线弯头焊接机
     */
    private String zeWthjj;

    /**
     * 中二线装配平台1
     */
    private String zeZppt1;

    /**
     * 中二线装配平台2
     */
    private String zeZppt2;

    /**
     * 中二线装配平台3
     */
    private String zeZppt3;

    /**
     * 中二线装配平台4
     */
    private String zeZppt4;

    /**
     * 中二线焊接工位1
     */
    private String zeHjgw1;

    /**
     * 中二线焊接工位2
     */
    private String zeHjgw2;

    /**
     * 中二线焊接工位3
     */
    private String zeHjgw3;

    /**
     * 中二线焊接工位4
     */
    private String zeHjgw4;

    /**
     * 中二线焊接工位5
     */
    private String zeHjgw5;

    /**
     * 中二线焊接工位6
     */
    private String zeHjgw6;

    /**
     * 中二线焊接工位7
     */
    private String zeHjgw7;

    /**
     * 中二线焊接工位8
     */
    private String zeHjgw8;

    /**
     * 中二线一次完检
     */
    private String zeYcwj;

    /**
     * 中二线水试
     */
    private String zeSs;

}
