package com.ipsplm.entity.simulation;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;
/**
 * <p>
 * 中一线OEE信息表
 * </p>
 *
 * @author lulicheng
 * @since 2024-07-30
 */
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("oee_zy")
public class OeeZy implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 主键
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    /**
     * 标志位
     */
    private Long flag;

    /**
     * 状态
     */
    private String status;

    /**
     * 中一线流水线坡口
     */
    private String zyPkL;

    /**
     * 中一线流水线装配
     */
    private String zyZpL;

    /**
     * 中一线流水线焊接
     */
    private String zyHjL;

    /**
     * 中一线流水线短管焊接
     */
    private String zyDghjL;

    /**
     * 中一线弯管机1
     */
    private String zyWgj1;

    /**
     * 中一线弯管机2
     */
    private String zyWgj2;

    /**
     * 中一线小组立平台
     */
    private String zyXzl;

    /**
     * 中一线弯头焊接机
     */
    private String zyWthjj;

    /**
     * 中一线装配平台1
     */
    private String zyZppt1;

    /**
     * 中一线装配平台2
     */
    private String zyZppt2;

    /**
     * 中一线装配平台3
     */
    private String zyZppt3;

    /**
     * 中一线装配平台4
     */
    private String zyZppt4;

    /**
     * 中一线装配平台5
     */
    private String zyZppt5;

    /**
     * 中一线焊接工位1
     */
    private String zyHjgw1;

    /**
     * 中一线焊接工位2
     */
    private String zyHjgw2;

    /**
     * 中一线焊接工位3
     */
    private String zyHjgw3;

    /**
     * 中一线焊接工位4
     */
    private String zyHjgw4;

    /**
     * 中一线焊接工位5
     */
    private String zyHjgw5;

    /**
     * 中一线焊接工位6
     */
    private String zyHjgw6;

    /**
     * 中一线焊接工位7
     */
    private String zyHjgw7;

    /**
     * 中一线一次完检
     */
    private String zyYcwj;

    /**
     * 中一线水试
     */
    private String zySs;

}
